public class OpaqueBench {
    public static void main(String[] args) {
        long start = 0;
        long end = 0;
        
        start = System.currentTimeMillis();
        for(int i = 0; i < 1E7; i++) {
            if(!(new java.util.Random().nextInt(2) >> 2 == 0)) {
                throw new Error("BLARG");
            }
        }
        end = System.currentTimeMillis();
        System.out.println("P1: " + (end - start));
        
        start = System.currentTimeMillis();
        for(int i = 0; i < 1E7; i++) {
            if(!(Object.class != null)) {
                throw new Error("BLARG");
            }
        }
        end = System.currentTimeMillis();
        System.out.println("P2: " + (end - start));
        
        start = System.currentTimeMillis();
        for(int i = 0; i < 1E7; i++) {
            if(!(new Object().getClass() == new Object().getClass())) {
                throw new Error("BLARG");
            }
        }
        end = System.currentTimeMillis();
        System.out.println("P3: " + (end - start));
        
        start = System.currentTimeMillis();
        for(int i = 0; i < 1E7; i++) {
            if(!(System.currentTimeMillis() <= System.currentTimeMillis())) {
                throw new Error("BLARG");
            }
        }
        end = System.currentTimeMillis();
        System.out.println("P4: " + (end - start));
        
        start = System.currentTimeMillis();
        for(int i = 0; i < 1E7; i++) {
            if(!(true)) {
                throw new Error("BLARG");
            }
        }
        end = System.currentTimeMillis();
        System.out.println("P5: " + (end - start));
    }
}